/**
 * \file strings.c
 * \brief CKPM C library implementation of strings functions
 */
/* Copyright (C) 2006 by Clemens Krainer
 * @(#) $Id:$
 *
 * Author: Clemens Krainer <ClemensDaniel.Krainer@sbg.ac.at>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/


#include "include/strings.h"

/**
 * locate character in string. See also index(3).
 * \param s the string
 * \param c the character to be searched in the string
 * \return a pointer to the matched character or NULL if the character is not found
 */
char*
index(const char *s, int c) {
// while (s && *s && *s++ != c)  continue;
   while (s && *s && *s != c) s=s+1;
#if 0
   return (char*) (s && *s ? s : (char*)0);
#else
   if (s && *s) return (char*)s;
   return (char*)0;
#endif
}
