/**
 * \file libc_test_main.c
 * \brief CKPM C library test driver main program
 */
/* Copyright (C) 2006 by Clemens Krainer
 * @(#) $Id:$
 *
 * Author: Clemens Krainer <ClemensDaniel.Krainer@sbg.ac.at>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "libc_test.h"


/**
 * \brief C library test driver main program
 * \param argc argument counter
 * \param argv argument values
 * \return 0 on success, otherwise 1
 *****************************************************************************/

int
main (int argc, char** argv) {
   int rc = 0;
   int rcl;

   printf ("\ncpp_string_test:\n");   rcl = cpp_string_test ();   rc |= rcl;
   printf ("\ncpp_strings_test:\n");  rcl = cpp_strings_test ();  rc |= rcl;


   printf ("result ... %s\n", rcl ? "failed":"ok");

   return rc?1:0;
}
