/**
 * \file vm_disasm.h
 * \brief CKPM virtual machine disassembler
 */
/* Copyright (C) 2006 by Clemens Krainer
 * @(#) $Id:$
 *
 * Author: Clemens Krainer <ClemensDaniel.Krainer@sbg.ac.at>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

#ifndef _CKPM_VM_DISADM_H_
#define _CKPM_VM_DISADM_H_

#include "vm_asm.h"

/*
 * forward declarations
 */
void vm_dump_instruction (int fd, struct instr_set_entry* e, int arg, int pc);
void vm_disasm (int fd, int verbose, char* mem, int start, int len);
void vm_dump_data (int fd, char* s, int len);

#endif /* _CKPM_VM_DISASM_H_ */

